diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/enetphy.c b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/enetphy.c
index 43a70bc..5306e6f 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/enetphy.c
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/enetphy.c
@@ -1510,53 +1498,63 @@ static uint32_t EnetPhy_findCommonCaps(EnetPhy_Handle hPhy)
     uint32_t partnerCaps = 0U;
     uint16_t val = 0U;
 
-    /* Get local device capabilities */
-    EnetPhy_readReg(hPhy, PHY_ANAR, &val);
-
-    if ((val & ANAR_100FD) != 0U)
+    if(EnetPhy_PhyAddrIsQ2112(hPhy->addr))
     {
-        localCaps |= ENETPHY_LINK_CAP_FD100;
+    	//TODO:change cap of
+    	localCaps |= ENETPHY_LINK_CAP_FD100;
     }
-
-    if ((val & ANAR_100HD) != 0U)
+    else
     {
-        localCaps |= ENETPHY_LINK_CAP_HD100;
-    }
+    	/* Get local device capabilities */
+	    EnetPhy_readReg(hPhy, PHY_ANAR, &val);
 
-    if ((val & ANAR_10FD) != 0U)
-    {
-        localCaps |= ENETPHY_LINK_CAP_FD10;
-    }
+	    if ((val & ANAR_100FD) != 0U)
+	    {
+	        localCaps |= ENETPHY_LINK_CAP_FD100;
+	    }
 
-    if ((val & ANAR_10HD) != 0U)
-    {
-        localCaps |= ENETPHY_LINK_CAP_HD10;
-    }
+	    if ((val & ANAR_100HD) != 0U)
+	    {
+	        localCaps |= ENETPHY_LINK_CAP_HD100;
+	    }
 
-    /* Get link partner capabilities */
-    val = 0U;
-    EnetPhy_readReg(hPhy, PHY_ANLPAR, &val);
+	    if ((val & ANAR_10FD) != 0U)
+	    {
+	        localCaps |= ENETPHY_LINK_CAP_FD10;
+	    }
 
-    if ((val & ANLPAR_100FD) != 0U)
-    {
-        partnerCaps |= ENETPHY_LINK_CAP_FD100;
-    }
+	    if ((val & ANAR_10HD) != 0U)
+	    {
+	        localCaps |= ENETPHY_LINK_CAP_HD10;
+	    }
 
-    if ((val & ANLPAR_100HD) != 0U)
-    {
-        partnerCaps |= ENETPHY_LINK_CAP_HD100;
-    }
+	    /* Get link partner capabilities */
+	    val = 0U;
+	    EnetPhy_readReg(hPhy, PHY_ANLPAR, &val);
 
-    if ((val & ANLPAR_10FD) != 0U)
-    {
-        partnerCaps |= ENETPHY_LINK_CAP_FD10;
-    }
+	    if ((val & ANLPAR_100FD) != 0U)
+	    {
+	        partnerCaps |= ENETPHY_LINK_CAP_FD100;
+	    }
+
+	    if ((val & ANLPAR_100HD) != 0U)
+	    {
+	        partnerCaps |= ENETPHY_LINK_CAP_HD100;
+	    }
+
+	    if ((val & ANLPAR_10FD) != 0U)
+	    {
+	        partnerCaps |= ENETPHY_LINK_CAP_FD10;
+	    }
+
+	    if ((val & ANLPAR_10HD) != 0U)
+	    {
+	        partnerCaps |= ENETPHY_LINK_CAP_HD10;
+	    }
 
-    if ((val & ANLPAR_10HD) != 0U)
-    {
-        partnerCaps |= ENETPHY_LINK_CAP_HD10;
     }
 
+
     ENETTRACE_DBG("PHY %u: local caps: %s\n",
                   hPhy->addr, EnetPhy_getCapsString(localCaps));
     ENETTRACE_DBG("PHY %u: partner caps: %s\n",
@@ -1649,25 +1647,37 @@ static bool EnetPhy_isPhyLinked(EnetPhy_Handle hPhy)
     uint16_t val = 0U;
     int32_t status;
 
-    /* Get PHY link status */
-    if (hMdio->isLinked != NULL)
+    if(EnetPhy_PhyAddrIsQ2112(hPhy->addr))
     {
-        /* Get link status from MDIO driver (i.e. hardware assisted) */
-        status = hMdio->isLinked(phyAddr, &isLinked, hPhy->mdioArgs);
-        ENETTRACE_ERR_IF(status != ENETPHY_SOK,
-                         "PHY %u: Failed to get link status: %d\n", phyAddr, status);
+    	isLinked = checkLink(hPhy);
+//    	if(isLinked == true)
+//    	{
+//    		EnetUtils_printf("%s  :PHY= %d =linked \n",__FUNCTION__,hPhy->addr);
+//    	}
     }
     else
     {
-        /* Alternatively, BMSR[2] Link Status bit can be checked */
-        status = hMdio->readC22(phyGroup, phyAddr, PHY_BMSR, &val, hPhy->mdioArgs);
-        ENETTRACE_ERR_IF(status != ENETPHY_SOK,
-                         "PHY %u: Failed to read reg %u: %d\n", phyAddr, PHY_BMSR, status);
-        if ((status == ENETPHY_SOK) &&
-            ((val & BMSR_LINKSTS) != 0U))
+        /* Get PHY link status */
+        if (hMdio->isLinked != NULL)
         {
-            isLinked = true;
+            /* Get link status from MDIO driver (i.e. hardware assisted) */
+            status = hMdio->isLinked(phyAddr, &isLinked, hPhy->mdioArgs);
+            ENETTRACE_ERR_IF(status != ENETPHY_SOK,
+                             "PHY %u: Failed to get link status: %d\n", phyAddr, status);
         }
+        else
+        {
+            /* Alternatively, BMSR[2] Link Status bit can be checked */
+            status = hMdio->readC22(phyGroup, phyAddr, PHY_BMSR, &val, hPhy->mdioArgs);
+            ENETTRACE_ERR_IF(status != ENETPHY_SOK,
+                             "PHY %u: Failed to read reg %u: %d\n", phyAddr, PHY_BMSR, status);
+            if ((status == ENETPHY_SOK) &&
+                ((val & BMSR_LINKSTS) != 0U))
+            {
+                isLinked = true;
+            }
+        }
+
     }
 
     return isLinked;
@@ -1863,22 +1873,22 @@ static void EnetPhy_showLinkPartnerCompat(EnetPhy_Handle hPhy,
             if (duplexity == ENETPHY_DUPLEX_HALF)
             {
                 ENETTRACE_DBG("PHY %u: recommended link partner config: "
-                              "manual mode at %s or auto-negotiation\n",
-                              hPhy->addr, EnetPhy_getModeString(speed, duplexity));
+                              "manual mode at ENETPHY_DUPLEX_HALF or auto-negotiation\n",
+                              hPhy->addr);
             }
             else
             {
                 ENETTRACE_DBG("PHY %u: recommended link partner config: "
-                              "manual mode at %s\n",
-                              hPhy->addr, EnetPhy_getModeString(speed, duplexity));
+                              "manual mode at ENETPHY_DUPLEX_FULL\n",
+                              hPhy->addr);
             }
 
             break;
 
         case ENETPHY_SPEED_1GBIT:
             ENETTRACE_DBG("PHY %u: recommended link partner config: "
-                          "manual mode at %s\n",
-                          hPhy->addr, EnetPhy_getModeString(speed, duplexity));
+                          "manual mode at ENETPHY_SPEED_1GBIT\n",
+                          hPhy->addr);
             break;
 
         default:
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/enetphy_priv.h b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/enetphy_priv.h
index d7f92dd..862a168 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/enetphy_priv.h
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/enetphy_priv.h
@@ -57,7 +57,7 @@ extern "C" {
 
 /*! \brief Macro to perform round-up division. */
 #define ENETPHY_DIV_ROUNDUP(val, div)         (((val) + (div) - 1) / (div))
-
+#define ENETPHY_MAX_ADDR    32
 /* ========================================================================== */
 /*                         Structures and Enums                               */
 /* ========================================================================== */
diff --git a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/makefile b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/makefile
index f4c3b72..8581806 100644
--- a/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/makefile
+++ b/pdk_jacinto_08_02_00_21/packages/ti/drv/enet/src/phy/makefile
@@ -19,7 +19,7 @@ INCLUDE_INTERNAL_INTERFACES =
 
 # Common source files and CFLAGS across all platforms and cores
 SRCS_COMMON += enetphy.c generic_phy.c
-SRCS_COMMON += dp83867.c dp83822.c vsc8514.c
+SRCS_COMMON += dp83867.c dp83822.c vsc8514.c q2112.c
 
 PACKAGE_SRCS_COMMON = $(SRCDIR)
 CFLAGS_LOCAL_COMMON = $(PDK_CFLAGS) $(ENET_CFLAGS)
